Upserts the tenant's singleton config (admin-tier; self-audited).
PUT
/v1/m/inferenceproxy/config
const url = 'https://example.com/v1/m/inferenceproxy/config';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '"example"'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/inferenceproxy/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '"example"'Upserts the tenant’s singleton config (admin-tier; self-audited).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ”The handler decodes one strict JSON document, bounded at 1 MiB.
Media type application/json
object
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}